![Biblioteca de componentes compatível com a versão 3.5.1 do ds](https://img.shields.io/badge/vers%C3%A3o%203.5.1%20do%20ds-blue?style=for-the-badge&label=Biblioteca%20de%20componentes%20%20compat%C3%ADvel%20com%20a&labelColor=%23333&color=%230C326F&link=https%3A%2F%2Fwww.gov.br%2Fds)

# Padrão Digital de Governo

## Objetivo

O [Padrão Digital de Governo](https://www.gov.br/ds/ 'Acesse a página do Padrão Digital de Governo') apresenta os padrões de interface que devem ser seguidos por designers e desenvolvedores para garantir a experiência única na interação dos usuários com os sistemas interativos do Governo.

## Tecnologias

Esse projeto é desenvolvido usando:

1. Javascript
1. [SASS](https://sass-lang.com/ 'Acesse a página do SASS')
1. [PUG](https://pugjs.org/ 'Acesse a página do PUG')

## Dependências

As principais dependências do projeto são:

1. [Font Awesome](https://fontawesome.com/ 'Acesse para realizar o download da Font Awesome')

1. [Fonte Rawline](https://www.cdnfonts.com/rawline.font/ 'Acesse para realizar o download da Fonte Rawline')

> O fontawesome e a fonte rawline podem ser importadas de um CDN. Consulte a documentação no site do [Padrão Digital de Governo](https://www.gov.br/ds/ 'Acesse o site do Padrão Digital de Governo') para mais detalhes.

## Como usar nossa biblioteca em seu projeto?

### Instalação da biblioteca

Você pode instalar a nossa biblioteca de Web Components no seu projeto usando:

```node
npm install --save @govbr-ds/core
```

### Como começar

Criamos um [tutorial no nosso site](https://gov.br/ds/como-comecar/instalacao 'Acesse o Guia de Instalação do Padrão Digital de Governo') explicando como começar a utilizar nosso Design System.

## Lints

Nesse projeto usamos diversos tipos de lints para automaticamente verificar o código antes de enviar para review. Para executá-los e obter os resultados execute o comando:

```node
npm run lint
```

## Precisa de ajuda?

> Por favor **não** crie issues para fazer perguntas...

Use nossos canais abaixo para obter tirar suas dúvidas:

- Site do Design System GOV.BR <https://www.gov.br/ds/>

- Web Components <https://gitlab.com/govbr-ds/wbc/govbr-ds-wbc/>

- Usando nosso canal no discord <https://discord.gg/NkaVZERAT7>

## Como contribuir?

Por favor verifique nossos guias de [como contribuir](https://gov.br/ds/wiki/comunidade/contribuindo-com-o-ds/ 'Acesse a página como contribuir?').

### Commits

Nesse projeto usamos um padrão para branches e commits. Por favor observe a documentação na nossa [wiki](https://gov.br/ds/wiki/ 'Acesse a Wiki do Padrão Digital de Governo') para aprender sobre os nossos padrões.

## Créditos

O Design System é criado pelo [SERPRO](https://www.serpro.gov.br/ 'Acesse a página do SERPRO | Serviço Federal de Processamento de Dados') juntamente com a participação da comunidade.

## Licença

Nesse projeto usamos a licença MIT.

This project is tested with [BrowserStack](https://www.browserstack.com/).
